
Katello - Bug #5110

hammer --organization-id option does not expect organization id

04/08/2014 01:52 PM - Bryan Kearney

Status: Resolved   

Priority: Normal   

Assignee: Adam Price   

Category: Hammer   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1084927 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1084927

Description of problem:

Even if

1. hammer system-group create  --help

writes about option

--organization-id ORGANIZATION_ID organization identifier

organization id isn't expected

Version-Release number of selected component (if applicable):

sat6-Satellite-6.0.3-RHEL-6-20140404.0-Satellite-x86_64-dvd1.iso

How reproducible:

always

Steps to Reproduce:

1. list organizations via hammer

1. hammer organization list

---|------------------|------------------|------------------------------

ID | NAME             | LABEL            | DESCRIPTION

---|------------------|------------------|------------------------------

1  | ACME_Corporation | ACME_Corporation | ACME_Corporation Organization

---|------------------|------------------|------------------------------

2. create new group named "grupa" using hammer

2. hammer system-group create --organization-id 1 --name grupa

Actual results:

1. hammer system-group create --organization-id 1 --name grupa

Could not create the system group:

Couldn't find organization '1'

Expected results:

Group created.

Additional info:

Passing organization label(name) instead of id works;

1. hammer system-group create --organization-id ACME_Corporation --name grupa

System group created

Either hammer help shall be updated to expect --organization-label, or organization id shall be expected.

History
https://bugzilla.redhat.com/show_bug.cgi?id=1084927


#1 - 04/08/2014 01:53 PM - Bryan Kearney

- Assignee set to Adam Price

- Triaged set to No

#2 - 06/04/2014 02:13 AM - Eric Helms

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 08/18/2014 02:31 PM - Eric Helms

- Status changed from New to Resolved

#4 - 08/22/2014 08:03 AM - Eric Helms

- translation missing: en.field_release set to 13
